Subject: bug#46810: Protonvpn may break /etc/resolv.conf

From: [email-masked]
Date: Sat, 27 Feb 2021 10:25:56 +0000

Once I booted into my Guix OS, authorized into root in terminal and ran
# protonvpn c

This usual string gave the error something like connection can not be established.
I rebooted and tried to visit some website without any vpn.
But Icecat could not reach any site. I reconnected with this:

# herd stop networking
# herd stop netwotking-wlp5s0
# herd stop wpa-supplicant
# herd start netwotking-wlp5s0
# herd start wpa-supplicant

But all the same, and 'ping gnu.org' gave: unknown host.
i rebooted and all the same.

Finally I tried to ping some ip
ping 1.1.1.1
worked!!
So I checked '/etc/resolv.conf' and there was a comment from Protonvpn
and ip from 10 something like:
10.170.90.10

I deleted it and dns started to work fine!

I think Protonvpn can leave artifacts that cause the errors in system.
Can you check it?